Skip Menu |
 

This queue is for tickets about the Sys-Syslog CPAN distribution.

Report information
The Basics
Id: 64716
Status: resolved
Priority: 0/
Queue: Sys-Syslog

People
Owner: Nobody in particular
Requestors: Dan [...] DWright.Org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.27
Fixed in: 0.28



Subject: Undocumented dependency on POE::Component::Server::Syslog
Download (untitled) / with headers
text/plain 989b
When using version 1.0446 of POE::Component::Server::Syslog, I get the following error during regression tests: t/data-validation.t .. The following parameter was passed in the call to POE::Component::Server::Syslog::TCP::spawn but was not listed in the validation options: Alias at /usr/local/lib/perl5/site_perl/5.8.8/POE/Component/Server/Syslog/TCP.pm line 40 POE::Component::Server::Syslog::TCP::spawn('undef', 'InputState', 'CODE(0x82e9a5c)', 'Alias', 'syslog', 'ErrorState', 'CODE(0x82e9cf0)', 'BindAddress', 127.0.0.1, ...) called at /usr/local/lib/perl5/site_perl/5.8.8/POE/Component/Server/Syslog.pm line 23 POE::Component::Server::Syslog::spawn('POE::Component::Server::Syslog', 'Alias', 'syslog', 'Type', 'tcp', 'BindAddress', 127.0.0.1, 'BindPort', 5140, ...) called at t/data-validation.t line 58 However, when I upgrade to the most recent version, all tests pass. I'm requesting that you add POE::Component::Server::Syslog => 1.18 to the PREREQ_PM.
Subject: Re: [rt.cpan.org #64716] Undocumented dependency on POE::Component::Server::Syslog
Date: Thu, 13 Jan 2011 09:21:14 +0100
To: bug-Sys-Syslog [...] rt.cpan.org
From: Sébastien Aperghis-Tramoni <saper [...] cpan.org>
Download (untitled) / with headers
text/plain 899b
Hello Daniel, Daniel J. Wright wote via RT: Show quoted text
> When using version 1.0446 of POE::Component::Server::Syslog, I get the > following error during regression tests: > > t/data-validation.t .. The following parameter was passed in the > call to > POE::Component::Server::Syslog::TCP::spawn but was not listed in the > validation options: Alias [...] called at t/data-validation.t line 58 > > However, when I upgrade to the most recent version, all tests pass. > > I'm requesting that you add > > POE::Component::Server::Syslog => 1.18 > > to the PREREQ_PM.
Oh. Thanks for the report. However, Sys::Syslog being a core module, I can't add such a dependency, but I'll add a check in the test in order to skip if the version of PoCo::Server::Syslog is too old. Really thank you for the report, I wouldn't have suspected that one. -- Sébastien Aperghis-Tramoni Close the world, txEn eht nepO.
Subject: Re: [rt.cpan.org #64716] Undocumented dependency on POE::Component::Server::Syslog
Date: Sun, 17 Apr 2011 09:50:29 +0200
To: bug-Sys-Syslog [...] rt.cpan.org
From: Sébastien Aperghis-Tramoni <saper [...] cpan.org>
Download (untitled) / with headers
text/plain 968b
Sébastien Aperghis-Tramoni wrote: Show quoted text
> Daniel J. Wright wote via RT: >
>> When using version 1.0446 of POE::Component::Server::Syslog, I get >> the >> following error during regression tests: >> >> t/data-validation.t .. The following parameter was passed in the >> call to >> POE::Component::Server::Syslog::TCP::spawn but was not listed in the >> validation options: Alias [...] called at t/data-validation.t line 58 >> >> However, when I upgrade to the most recent version, all tests pass. >> >> I'm requesting that you add >> >> POE::Component::Server::Syslog => 1.18 >> >> to the PREREQ_PM.
> > Oh. Thanks for the report. However, Sys::Syslog being a core > module, I can't add such a dependency, but I'll add a check in the > test in order to skip if the version of PoCo::Server::Syslog is too > old.
Done as of version 0.28, sponsored by the Perl QA Hackathon 2011 in Amsterdam. -- Sébastien Aperghis-Tramoni Close the world, txEn eht nepO.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.